Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	archive formats library
Name:		libarchive
Version:	2.8.3
Release:	1
License:	BSD
URL:		http://people.freebsd.org/~kientzle/libarchive/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: bzip2-devel
BuildRequires: glibc-devel
BuildRequires: libacl-devel
BuildRequires: libattr-devel
BuildRequires: libxml2-devel
BuildRequires: openssl-devel
BuildRequires: pkg-config
BuildRequires: xz-devel
BuildRequires: zlib-devel

%description
Libarchive is a programming library that can create and read several different streaming archive formats, including most popular tar variants, several cpio formats, and both BSD and GNU ar variants. It can also write shar archives and read ISO9660 CDROM images and ZIP archives. The bsdtar program is an implementation of tar(1) that is built on top of libarchive. It started as a test harness, but has grown into a feature-competitive replacement for GNU tar. The bsdcpio program is an implementation of cpio(1) that is built on top of libarchive.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
#/sbin/install-info %_infodir/%{name}.info.gz %_infodir/dir
ldconfig

%postun
ldconfig

%preun
#if [ "$1" = 0 ]; then
#/sbin/install-info --del %_infodir/%{name}.info.gz %_infodir/dir
#fi 

%prep
%setup -qn %{name}-%{version}

%build
%configure \
--disable-debug \
--disable-static 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/bsdcpio
%{_bindir}/bsdtar
%{_libdir}/libarchive.so.*
%{_mandir}/man1/bsdcpio.1.gz
%{_mandir}/man1/bsdtar.1.gz
%{_mandir}/man5/cpio.5.gz
%{_mandir}/man5/libarchive-formats.5.gz
%{_mandir}/man5/mtree.5.gz
%{_mandir}/man5/tar.5.gz

%files devel
%defattr(-,root,root)
%{_includedir}/archive_entry.h
%{_includedir}/archive.h
%{_libdir}/libarchive.la
%{_libdir}/libarchive.so
%{_pkgconfig}/libarchive.pc
%{_mandir}/man3/archive_entry.3.gz
%{_mandir}/man3/archive_read.3.gz
%{_mandir}/man3/archive_read_disk.3.gz
%{_mandir}/man3/archive_util.3.gz
%{_mandir}/man3/archive_write.3.gz
%{_mandir}/man3/archive_write_disk.3.gz
%{_mandir}/man3/libarchive.3.gz
%{_mandir}/man3/libarchive_internals.3.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.8.3-1
- Version update
* Wed Apr 01 2009 Christian Wasem <wasem@ccux-linux.de> 2.6.0-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.11-1
- Initial Release
